Subject: Re: bug#45518: Ctrl-G Fails to Interrupt Hung Tramp Remote-Compile in Emacs 27.1

From: Michael Albinus <[email-masked]>
Date: Tue, 16 Feb 2021 21:09:24 +0100

Duncan Greatwood <[email-masked]> writes:

> Michael -

Hi Duncan,

> Unfortunately, I am still seeing the hang upon clicking on an error
> message while the compilation continues. Sorry to report, but it may
> actually be worse than before, in that I am seeing some outright
> crashes of emacs, i.e. hangs where I cannot recover by pressing ctrl-G
> multiple times. I didn't see that previously with this issue, though
> of course it's possibly just a coincidence that I did not.

Hmm, just to be sure: you run Emacs 27.1 with the patched compile.el,
and you run Tramp 2.5.0.1 from GNU ELPA, with the patch in tramp-integration.el?

> JFYI, I am also seeing this error message displayed immediately after
> compilation commences:
>
>     Error adjusting window size: (wrong number of arguments (0 . 1) 2)

That seems to be unrelated, but who knows ...

> Best regards as always.
> Duncan.

Best regards, Michael.